Printago API
POST /v1/profiles/import-data

Import pre-parsed profiles

Requires: profile.create

Request Body

- Pre-parsed profile data and import options

ProfileImportDataBody
createMaterialsrequired
boolean
filamentProfilesForMaterialsoptional
object[]
Filament profiles to use for material creation (when not importing them as profiles)
coloroptional
string
compatiblePrintersoptional
string[]
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
any
materialIdentifiersoptional
string[]
Filament IDs (uppercase) of materials to create. If not provided, creates all.
overwriteExistingrequired
boolean
profilesrequired
object[]
coloroptional
string
compatiblePrintersoptional
string[]
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
any

Example Request

application/json
{
  "profiles": [
    {
      "name": "string",
      "data": {},
      "inherits": "string",
      "compatiblePrinters": [
        "string"
      ],
      "filamentType": "string",
      "filamentVendor": "string",
      "color": "string"
    }
  ],
  "createMaterials": true,
  "overwriteExisting": true,
  "materialIdentifiers": [
    "string"
  ],
  "filamentProfilesForMaterials": [
    {
      "name": "string",
      "data": {},
      "inherits": "string",
      "compatiblePrinters": [
        "string"
      ],
      "filamentType": "string",
      "filamentVendor": "string",
      "color": "string"
    }
  ]
}

Response Schema

ProfileImportResult
materialsoptional
object
createdrequired
string[]
profilesrequired
object
createdrequired
string[]
skippedrequired
string[]
updatedrequired
string[]

Example Response

201 OK — application/json
{
  "profiles": {
    "created": [
      "string"
    ],
    "updated": [
      "string"
    ],
    "skipped": [
      "string"
    ]
  },
  "materials": {
    "created": [
      "string"
    ]
  }
}